Handle basic auth

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /integration/v1/basic-auth

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

application/json

Body Required

  • username string
  • password string
  • domain string
  • providerName string

    Values are AUTODESK, PROCORE, EGNYTE, or OPC.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • providerName string

      Values are AUTODESK, PROCORE, EGNYTE, or OPC.

    • authType string

      Values are OAUTH2 or BASIC_AUTH.

    • isActive boolean
    • createdByUserId string(uuid)
    • providerDataList array[object]
      Hide providerDataList attributes Show providerDataList attributes object
      • dataType string

        Values are RFI, SUBMITTAL, FILE, or USER.

      • id integer(int64)
      • providerConfig string
POST /integration/v1/basic-auth
curl \
 --request POST 'https://live.smartpmtech.com/integration/v1/basic-auth' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "username": "string",
  "password": "string",
  "domain": "string",
  "providerName": "AUTODESK"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "username": "string",
  "password": "string",
  "domain": "string",
  "providerName": "AUTODESK"
}
Response examples (200)
{
  "id": 42,
  "providerName": "AUTODESK",
  "authType": "OAUTH2",
  "isActive": true,
  "createdByUserId": "string",
  "providerDataList": [
    {
      "dataType": "RFI",
      "id": 42,
      "providerConfig": "string"
    }
  ]
}